#!/usr/bin/python
##### Mertev osnega razmerja - S53MV 23.2.2018 #####

import math,cmath	#uporabljene funkcije

k=0.01			#korak risanja
o=math.pi*0.4		#odmik maksimuma
m=1.7			#sredina grafa
a=0.9			#amplituda

print 'Phi =',o,'rd R =',(m+a)/(m-a),'=',20*math.log((m+a)/(m-a))/math.log(10),'dB'

y=[]		#polja za risanje grafa
x=[]

u=k/2		#risanje v mejah 0<u<2pi
while u<2*math.pi:
	c=cmath.exp(complex(0,2*(u-o)))	#funkcija
	f=abs(a*c+complex(m,0))
	x=x+[u]			#dodaj tocko v risbo
	y=y+[f]
	u=u+k			#povecaj u za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
plt.plot([o,o],[0,3],'r--')
plt.plot([0,2*math.pi],[m+a,m+a],'m--')
plt.plot([0,2*math.pi],[m-a,m-a],'b--')
plt.plot(x,y,'g-',lw=2)
plt.axis([0,2*math.pi,0,3])
plt.xticks([0,math.pi/2,math.pi,3*math.pi/2,2*math.pi])

plt.xlabel(r'Zasuk sprejemne antene $\Phi$[rd]')
plt.ylabel('Napetost voltmetra U[V]')
plt.show()

#konec programa

